Package net.snowflake.client.core.arrow

## Class ArrowResultChunkIndexSorter

- java.lang.Object
- - net.snowflake.client.core.arrow.ArrowResultChunkIndexSorter

    public class ArrowResultChunkIndexSorter
    extends Object

Use quick sort to sort Arrow result chunk The sorted order is represented in the indices vector

### Constructor Summary

Constructors
`ArrowResultChunkIndexSorter​(List<org.apache.arrow.vector.ValueVector> resultChunk, List<ArrowVectorConverter> converters)`

### Method Summary

All Methods Instance Methods Concrete Methods
`org.apache.arrow.vector.IntVector` `sort()` This method is only used when sf-property sort is on

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ArrowResultChunkIndexSorter

    public ArrowResultChunkIndexSorter​(List<org.apache.arrow.vector.ValueVector> resultChunk,
                                       List<ArrowVectorConverter> converters)

### Method Detail

#### sort

    public org.apache.arrow.vector.IntVector sort()
                                           throws SFException

This method is only used when sf-property sort is on

Returns:
  sorted indices
Throws:
  `SFException`